Package org.apache.synapse.transport.nhttp.config

# Class ServerConnFactoryBuilder

java.lang.Object
org.apache.synapse.transport.nhttp.config.ServerConnFactoryBuilder

Direct Known Subclasses:
  `SSLServerConnFactoryBuilder`

public class ServerConnFactoryBuilder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected SSLContextDetails`
  `ssl`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerConnFactoryBuilder(org.apache.axis2.description.TransportInDescription transportIn, org.apache.http.HttpHost host)`
  `ServerConnFactoryBuilder(org.apache.axis2.description.TransportInDescription transportIn, org.apache.http.HttpHost host, org.apache.axis2.context.ConfigurationContext configurationContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ServerConnFactory`
  `build(org.apache.http.params.HttpParams params)`
  `protected SSLContextDetails`
  `createSSLContext(org.apache.axiom.om.OMElement keyStoreEl, org.apache.axiom.om.OMElement trustStoreEl, org.apache.axiom.om.OMElement cientAuthEl, org.apache.axiom.om.OMElement httpsProtocolsEl, org.apache.axiom.om.OMElement preferredCiphersEl, CertificateVerificationManager verificationManager, String sslProtocol)`
  `protected SSLContextDetails`
  `createSSLContext(org.apache.axiom.om.OMElement keyStoreEl, org.apache.axiom.om.OMElement trustStoreEl, org.apache.axiom.om.OMElement cientAuthEl, org.apache.axiom.om.OMElement httpsProtocolsEl, org.apache.axiom.om.OMElement preferredCiphersEl, CertificateVerificationManager verificationManager, String sslProtocol, org.wso2.securevault.SecretResolver secretResolver)`
  `org.apache.axis2.description.TransportInDescription`
  `loadMultiProfileSSLConfig()`
  Loads MultiProfileSSLConfiguration when the configuration is in a different file than axis2.xml.
  `ServerConnFactoryBuilder`
  `parseMultiProfileSSL()`
  `ServerConnFactoryBuilder`
  `parseSSL()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ssl

    protected SSLContextDetails ssl

- ## Constructor Details

  - ### ServerConnFactoryBuilder

    public ServerConnFactoryBuilder(org.apache.axis2.description.TransportInDescription transportIn, org.apache.http.HttpHost host, org.apache.axis2.context.ConfigurationContext configurationContext)

  - ### ServerConnFactoryBuilder

    public ServerConnFactoryBuilder(org.apache.axis2.description.TransportInDescription transportIn, org.apache.http.HttpHost host)

- ## Method Details

  - ### createSSLContext

    protected SSLContextDetails createSSLContext(org.apache.axiom.om.OMElement keyStoreEl, org.apache.axiom.om.OMElement trustStoreEl, org.apache.axiom.om.OMElement cientAuthEl, org.apache.axiom.om.OMElement httpsProtocolsEl, org.apache.axiom.om.OMElement preferredCiphersEl, CertificateVerificationManager verificationManager, String sslProtocol) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### createSSLContext

    protected SSLContextDetails createSSLContext(org.apache.axiom.om.OMElement keyStoreEl, org.apache.axiom.om.OMElement trustStoreEl, org.apache.axiom.om.OMElement cientAuthEl, org.apache.axiom.om.OMElement httpsProtocolsEl, org.apache.axiom.om.OMElement preferredCiphersEl, CertificateVerificationManager verificationManager, String sslProtocol, org.wso2.securevault.SecretResolver secretResolver) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### parseSSL

    public ServerConnFactoryBuilder parseSSL() throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### parseMultiProfileSSL

    public ServerConnFactoryBuilder parseMultiProfileSSL() throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### loadMultiProfileSSLConfig

    public org.apache.axis2.description.TransportInDescription loadMultiProfileSSLConfig()
    Loads MultiProfileSSLConfiguration when the configuration is in a different file than axis2.xml. If the configuration file path is in axis2.xml and its successfully loaded, it will be added to transportIn as "SSLProfiles" parameter or else if it isn't loaded it will return null.
    Returns:

  - ### build

    public ServerConnFactory build(org.apache.http.params.HttpParams params) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`